function FileData_Pairs(x)
{
x.t("extensions","jms");
x.t("extensions","add");
x.t("extensions","allow");
x.t("extensions","vendor");
x.t("extensions","mapmessage");
x.t("extensions","therefore");
x.t("modes","reliable_delivery");
x.t("modes","messages");
x.t("tag","jms_tibco_msg_ext");
x.t("properties","list");
x.t("properties","ems");
x.t("properties","provider-specific");
x.t("properties","specific");
x.t("available","within");
x.t("within","jms");
x.t("delivery","modes");
x.t("no_acknowledge","mode");
x.t("persistent","non_persistent");
x.t("instance","submessage");
x.t("non_persistent","ems");
x.t("generating","series");
x.t("mode","eliminates");
x.t("mode","consumers");
x.t("mode","restricts");
x.t("explicit_client_acknowledge","explicit_client_dups_ok_acknowledge");
x.t("considerable","flexibility");
x.t("acknowledgement","single");
x.t("acknowledgement","ems");
x.t("formats","certain");
x.t("however","extensions");
x.t("tagged","extensions");
x.t("rendezvous","activeenterprise");
x.t("rendezvous","messages");
x.t("primitive","types");
x.t("property","tag");
x.t("jms","jms");
x.t("jms","functionality");
x.t("jms","standard");
x.t("jms","specifications");
x.t("jms","messages");
x.t("jms","specification");
x.t("jms","mapmessage");
x.t("details","standard");
x.t("single","messages");
x.t("certain","features");
x.t("includes","reliable_delivery");
x.t("reliable_delivery","mode");
x.t("reliable_delivery","page");
x.t("compliant","jms");
x.t("list","message");
x.t("need","acknowledge");
x.t("ems","extensions");
x.t("ems","includes");
x.t("ems","provides");
x.t("ems","addition");
x.t("ems","exchange");
x.t("ems","message");
x.t("ems","extends");
x.t("activeenterprise","formats");
x.t("enterprise","message");
x.t("add","considerable");
x.t("features","available");
x.t("flat","message");
x.t("receipt","messages");
x.t("desired","ems");
x.t("functionality","ems");
x.t("streammessage","instance");
x.t("streammessage","generating");
x.t("streammessage","body");
x.t("streammessage","tibco");
x.t("eliminates","overhead");
x.t("provides","explicit_client_acknowledge");
x.t("provides","select");
x.t("standard","specifies");
x.t("standard","format");
x.t("implementations","enhancements");
x.t("arrays","primitive");
x.t("allow","ems");
x.t("addition","ems");
x.t("specifications","extended");
x.t("body","types");
x.t("body","message");
x.t("body","tibco");
x.t("messages","persistent");
x.t("messages","tagged");
x.t("messages","jms");
x.t("messages","ems");
x.t("messages","desired");
x.t("messages","instead");
x.t("messages","tibco");
x.t("messages","message");
x.t("select","number");
x.t("number","extensions");
x.t("software","chapter");
x.t("chapter","messages");
x.t("specifies","two");
x.t("exchange","messages");
x.t("instead","flat");
x.t("format","header");
x.t("types","extensions");
x.t("types","however");
x.t("types","values");
x.t("types","insert");
x.t("consumer","sessions");
x.t("adds","two");
x.t("tibco","rendezvous");
x.t("tibco","enterprise");
x.t("tibco","software");
x.t("header","body");
x.t("message","properties");
x.t("message","acknowledgement");
x.t("message","arrays");
x.t("message","body");
x.t("message","service");
x.t("extended","messages");
x.t("sessions","specify");
x.t("include","information");
x.t("jms_tibco_msg_ext","information");
x.t("provider-specific","include");
x.t("specific","ems");
x.t("specific","implementations");
x.t("compatibility","rendezvous");
x.t("explicit_client_dups_ok_acknowledge","mode");
x.t("extends","mapmessage");
x.t("page","consumer");
x.t("information","specific");
x.t("information","compatibility");
x.t("overhead","associated");
x.t("nested","messages");
x.t("values","extensions");
x.t("specification","details");
x.t("enhancements","jms");
x.t("two","extensions");
x.t("two","delivery");
x.t("submessage","mapmessage");
x.t("service","adds");
x.t("vendor","property");
x.t("consumers","need");
x.t("restricts","acknowledgement");
x.t("mapmessage","streammessage");
x.t("series","nested");
x.t("associated","delivery");
x.t("acknowledge","receipt");
x.t("therefore","compliant");
x.t("insert","mapmessage");
x.t("flexibility","mapmessage");
x.t("specify","no_acknowledge");
}
